Jre19Compat (Apache Tomcat 10.1.7 API Documentation)

Package org.apache.tomcat.util.compat

## Class Jre19Compat

- java.lang.Object
- - org.apache.tomcat.util.compat.JreCompat
  - - org.apache.tomcat.util.compat.Jre19Compat

-     public class Jre19Compat
      extends JreCompat

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Jre19Compat()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Object` | `getExecutor​(Thread thread)` | Obtains the executor, if any, used to create the provided thread.
    `SocketAddress` | `getUnixDomainSocketAddress​(String path)` | Return Unix domain socket address for given path.
    `ServerSocketChannel` | `openUnixDomainServerSocketChannel()` | Create server socket channel using the Unix domain socket ProtocolFamily.
    `SocketChannel` | `openUnixDomainSocketChannel()` | Create socket channel using the Unix domain socket ProtocolFamily.

    - ### Methods inherited from class org.apache.tomcat.util.compat.JreCompat

      `getInstance, isGraalAvailable, isJre16Available, isJre19Available`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Jre19Compat

          public Jre19Compat()

  - ### Method Detail

    - #### getExecutor

          public Object getExecutor​(Thread thread)
                             throws NoSuchFieldException,
                                    SecurityException,
                                    IllegalArgumentException,
                                    IllegalAccessException

      Description copied from class: `JreCompat`
      Obtains the executor, if any, used to create the provided thread.
      Overrides:
        `getExecutor` in class `JreCompat`
      Parameters:
        `thread` - The thread to examine
      Returns:
        The executor, if any, that created the provided thread
      Throws:
        `NoSuchFieldException` - If a field used via reflection to obtain the executor cannot be found
        `SecurityException` - If a security exception occurs while trying to identify the executor
        `IllegalArgumentException` - If the instance object does not match the class of the field when obtaining a field value via reflection
        `IllegalAccessException` - If a field is not accessible due to access restrictions

    - #### getUnixDomainSocketAddress

          public SocketAddress getUnixDomainSocketAddress​(String path)

      Description copied from class: `JreCompat`
      Return Unix domain socket address for given path.
      Overrides:
        `getUnixDomainSocketAddress` in class `JreCompat`
      Parameters:
        `path` - The path
      Returns:
        the socket address

    - #### openUnixDomainServerSocketChannel

          public ServerSocketChannel openUnixDomainServerSocketChannel()

      Description copied from class: `JreCompat`
      Create server socket channel using the Unix domain socket ProtocolFamily.
      Overrides:
        `openUnixDomainServerSocketChannel` in class `JreCompat`
      Returns:
        the server socket channel

    - #### openUnixDomainSocketChannel

          public SocketChannel openUnixDomainSocketChannel()

      Description copied from class: `JreCompat`
      Create socket channel using the Unix domain socket ProtocolFamily.
      Overrides:
        `openUnixDomainSocketChannel` in class `JreCompat`
      Returns:
        the socket channel